Bug 1010756 - [RFE] feature for rlRun, output the command and stdout stderr to "t_log--$caseName"
[RFE] feature for rlRun, output the command and stdout stderr to "t_log--$cas...
Status: NEW
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
rawhide
All Linux
low Severity unspecified
: ---
: ---
Assigned To: Dalibor Pospíšil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 21:55 EDT by Yin.JianHong
Modified: 2016-09-19 22:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for complete (1.56 KB, text/plain)
2013-09-22 21:55 EDT, Yin.JianHong
no flags Details

  None (edit)
Description Yin.JianHong 2013-09-22 21:55:42 EDT
Created attachment 801458 [details]
patch for complete

Description of problem:
RFE: feature for rlRun, output the command and stdout stderr to OUTPUTFILE and t_log--$caseName

Version-Release number of selected component (if applicable):
all version

How reproducible:
y

Steps to Reproduce:
1.
2.
3.

Actual results:
1. cur rlRun did not output the command line info to OUTPUTFILE and t_log--$caseName;
2. sometimes we want to skip the exit code check.

Expected results:
rlRun "CMD no need check exit code, need screen info" -
[21:14:47 root@ /tmp/tmp.X3Cr127p1l]# CMD no need check exit code, 
the out put of CMD

Additional info:
Comment 2 Petr Muller 2013-09-30 11:32:26 EDT
I'm not entirely sure about this RFE. For the OUTPUTFILE part, I'll need to look into how we use (or don't) OUTPUTFILE elsewhere, and if it is supposed to be always set in BL test.

I like the 'don't check exit code, just log" part though, so I'll try to think of something.
Comment 3 Fedora Admin XMLRPC Client 2014-09-02 08:14:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2015-01-09 17:18:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Dalibor Pospíšil 2016-05-26 09:26:32 EDT
Do you still need this feature? Why rlRun -s "command" 0-255 or rlRun -s "command; :" is not enough?
Comment 6 Yin.JianHong 2016-05-26 21:36:24 EDT
(In reply to Dalibor Pospíšil from comment #5)
> Do you still need this feature? Why rlRun -s "command" 0-255 or rlRun -s
> "command; :" is not enough?

No, sometimes we don't want the end check log,
and just ":: [  BEGIN   ] :: Running " is not enough.

Actual results:
  $ rlRun  -s "ls"
  :: [  BEGIN   ] :: Running 'ls'
  clock
  codeStyle.txt
  yaml.tcl
  :: [   PASS   ] :: Command 'ls' (Expected 0, got 0)


Expected results:
  $ run 'ls'
  [09:32:35 yjh@ ~~]# ls
  clock
  codeStyle.txt
  yaml.tcl
  :: [   PASS   ] :: Running 'ls' (Expected 0, got 0)

  $ run 'ls' -
  [09:32:38 yjh@ ~~]# ls
  clock
  codeStyle.txt
  yaml.tcl
     <<<--- here no PASS/WARN/FAIL check and log report

Note You need to log in before you can comment on or make changes to this bug.